%global momorel 1
Summary: SELinux policy compiler
Name: checkpolicy
Version: 1.19.1
Release: %{momorel}m
License: GPL
Group: Development/System
URL: http://www.nsa.gov/selinux/
Source0: http://www.nsa.gov/selinux/archives/checkpolicy-%{version}.tgz
# NoSource: 0
Patch0: checkpolicy-1.18-Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: byacc flex libsepol-devel 
Requires: libsepol

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler.  
Only required for building policies. 

%prep
%setup -q
%patch0 -p0 -b .yaccopt

%build
make LIBDIR="%{_libdir}" CFLAGS="%{optflags}" 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make DESTDIR="%{buildroot}" install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/checkpolicy
%{_bindir}/genpolusers
%{_mandir}/man8/checkpolicy.8*

%changelog
* Mon Nov 29 2004 TAKAHASHI Tamotsu <tamo>
- (1.19.1-1m)
 + * Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19.1-1
 + - Latest from NSA
 + 	* Merged nodecon ordering patch from Chad Hanson of TCS.
 + 
 + * Thu Nov 4 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-1
 + - Latest from NSA
 + 	* MLS build fix.

* Sat Nov 20 2004 TAKAHASHI Tamotsu <tamo>
- (1.18-1m)
- http://www.nsa.gov/selinux/code/download5.cfm
